#316 plplot.t failure when building 2.4.11

critical
closed-out-of-date
None
5
2014-12-14
2013-01-04
Myra
No

When building pdl version 2.4.11 the plplot.t test fails for 3D color plot, high level interface fails:

System:

Linux gandalf 3.7.1-2-ARCH #1 SMP PREEMPT Thu Dec 20 17:57:00 CET 2012 x86_64 GNU/Linux
This is perl 5, version 16, subversion 2 (v5.16.2) built for x86_64-linux-thread-multi
gcc version 4.7.2
glibc version 2.17-1

Perl:

built as follows with -DEBUGGING=both

./Configure -des -Dusethreads -Duseshrplib -Doptimize="${CFLAGS}" \ -Dprefix=/usr -Dinstallprefix=${pkgdir}/usr -Dvendorprefix=/usr \ -Dprivlib=/usr/share/perl5/core_perl \ -DEBUGGING=both \ -Darchlib=/usr/lib/perl5/core_perl \ -Dsitelib=/usr/share/perl5/site_perl \ -Dsitearch=/usr/lib/perl5/site_perl \ -Dvendorlib=/usr/share/perl5/vendor_perl \ -Dvendorarch=/usr/lib/perl5/vendor_perl \ -Dscriptdir=/usr/bin/core_perl \ -Dsitescript=/usr/bin/site_perl \ -Dvendorscript=/usr/bin/vendor_perl \ -Dinc_version_list=none \ -Dman1ext=1perl -Dman3ext=3perl ${arch_opts} \ -Dusemymalloc \ -Dlddlflags="-shared ${LDFLAGS}" -Dldflags="${LDFLAGS}"

system CFLAGS="-march=x86-64 -m64 -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2
system LDFLAGS="-Wl,-O1,-lmcheck,--sort-common,--as-needed,-z,relro"

As I understand it the use of -Dusemymalloc forces perl to use Perl_malloc instead of the systems malloc based on
the following from
http://search.cpan.org/~drolsky/perl/INSTALL#Malloc_Issues

Using the system malloc
To build without perl's malloc, you can use the Configure command
sh Configure -Uusemymalloc

Using perl's malloc allows the test to fail gracefully and provides a backtrace.

PLPlot:

svn version 12283 built as follows, but the same error occurs with version 5.9.9

cmake -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_SHARED_LIBS=ON -DENABLE_CXX=ON \ -DENABLE_pdl=ON -DPL_DOUBLE=ON -DENABLE_tcl=OFF -DENABLE_tk=OFF \ -DENABLE_qt=ON -DENABLE_java=OFF -DENABLE_wxwidgets=ON -DENABLE_lua=OFF \ -DENABLE_DYNDRIVERS=ON -DBUILD_TEST=on -DBUILD_TESTING=on -DCMAKE_COLOR_MAKEFILE=on

I believe the pertinent variable is -DPL_DOUBLE=ON

plplot compiles and the perl examples work.

perlDL shell v1.354_001
PDL comes with ABSOLUTELY NO WARRANTY. For details, see the file
'COPYING' in the PDL distribution. This is free software and you
are welcome to redistribute it under certain conditions, see
the same file for details.

Summary of my PDL configuration

VERSION: PDL v2.4.11 (supports bad values)

$%PDL::Config = {
'BADVAL_PER_PDL' => '0',
'WITH_PROJ' => '1',
'PDL_CONFIG_VERSION' => '0.005',
'POSIX_THREADS_INC' => undef,
'FFTW_TYPE' => 'double',
'PDL_BUILD_DIR' => '/home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11',
'FFTW_LIBS' => undef,
'WITH_FFTW' => '1',
'GSL_LIBS' => undef,
'WITH_IO_BROWSER' => '0',
'PROJ_INC' => undef,
'WHERE_PLPLOT_INCLUDE' => undef,
'HTML_DOCS' => '1',
'SKIP_KNOWN_PROBLEMS' => '0',
'WHERE_PLPLOT_LIBS' => undef,
'WITH_3D' => '0',
'WITH_POSIX_THREADS' => '1',
'POGL_VERSION' => '0.65',
'FFTW_INC' => undef,
'HIDE_TRYLINK' => '1',
'HDF_INC' => undef,
'WITH_HDF' => '1',
'POGL_WINDOW_TYPE' => 'glut',
'WITH_GD' => '1',
'WITH_BADVAL' => '1',
'FITS_LEGACY' => '1',
'WITH_SLATEC' => '1',
'BADVAL_USENAN' => '0',
'WITH_DEVEL_REPL' => '1',
'TEMPDIR' => '/tmp',
'PROJ_LIBS' => undef,
'USE_POGL' => '0',
'PDL_BUILD_VERSION' => '2.4.11',
'GD_LIBS' => undef,
'GSL_INC' => undef,
'GD_INC' => undef,
'WITH_GSL' => '1',
'OPTIMIZE' => undef,
'PDLDOC_IGNORE_AUTOLOADER' => '0',
'HDF_LIBS' => undef,
'POSIX_THREADS_LIBS' => undef,
'MALLOCDBG' => {},
'WITH_MINUIT' => '1',
'WITH_PLPLOT' => '1',
'MINUIT_LIB' => undef
};
Summary of my perl5 (revision 5 version 16 subversion 2) configuration:

Platform:
osname=linux, osvers=3.7.1-2-arch, archname=x86_64-linux-thread-multi
uname='linux gandalf 3.7.1-2-arch #1 smp preempt thu dec 20 17:57:00 cet 2012 x86_64 gnulinux '
config_args='-des -Dusethreads -Duseshrplib -Doptimize=-march=x86-64 -m64 -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Dprefix=/usr -Dinstallprefix=/usr -Dvendorprefix=/usr -Dprivlib=/usr/share/perl5/core_perl -DEBUGGING=both -Darchlib=/usr/lib/perl5/core_perl -Dsitelib=/usr/share/perl5/site_perl -Dsitearch=/usr/lib/perl5/site_perl -Dvendorlib=/usr/share/perl5/vendor_perl -Dvendorarch=/usr/lib/perl5/vendor_perl -Dscriptdir=/usr/bin/core_perl -Dsitescript=/usr/bin/site_perl -Dvendorscript=/usr/bin/vendor_perl -Dinc_version_list=none -Dman1ext=1perl -Dman3ext=3perl -Dcccdlflags='-fPIC' -Dusemymalloc -Dlddlflags=-shared -Wl,-O1,--sort-common,--as-needed,-z,relro -Dldflags=-Wl,-O1,--sort-common,--as-needed,-z,relro'
hint=recommended, useposix=true, d_sigaction=define
useithreads=define, usemultiplicity=define
useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
use64bitint=define, use64bitall=define, uselongdouble=undef
usemymalloc=y, bincompat5005=undef
Compiler:
cc='cc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -DDEBUGGING -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
optimize='-march=x86-64 -m64 -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -g',
cppflags='-D_REENTRANT -D_GNU_SOURCE -DDEBUGGING -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
ccversion='', gccversion='4.7.2', gccosandvers=''
intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
alignbytes=8, prototype=define
Linker and Libraries:
ld='cc', ldflags ='-Wl,-O1,--sort-common,--as-needed,-z,relro -fstack-protector -L/usr/local/lib'
libpth=/usr/local/lib /lib/../lib /usr/lib/../lib /lib /usr/lib
libs=-lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lpthread -lc -lgdbm_compat
perllibs=-lnsl -ldl -lm -lcrypt -lutil -lpthread -lc
libc=/lib/libc-2.17.so, so=so, useshrplib=true, libperl=libperl.so
gnulibc_version='2.17'
Dynamic Linking:
dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E -Wl,-rpath,/usr/lib/perl5/core_perl/CORE'
cccdlflags='-fPIC', lddlflags='-shared -Wl,-O1,--sort-common,--as-needed,-z,relro -L/usr/local/lib -fstack-protector'

[myra@gandalf ~/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11]$ prove -lvbm t/plplot.t
t/plplot.t ..
1..37
ok 18 - 3D color plot, low level interface

3D color plot, high level interface fails:

# Test shade plotting (low level interface)
plsdev ($dev);
plsfnam ("test12.$dev");
plspage (0,0, 600,600, 0,0);
plinit();
pladv (0);
plvpor(0.1, 0.9, 0.1, 0.9);
plwind (-1, 1, -1, 1);
plpsty(0);

my $nx = 35;
my $ny = 46;
$x = (sequence($nx) - ($nx/2))/($nx/2);
$y = (sequence($ny) - ($ny/2))/(($ny/2) - 1.0);
my $xv = $x->dummy(1, $y->nelem);
my $yv = $y->dummy(0, $x->nelem);
my $z = -sin(7*$xv) * cos (7*$yv) + $xv**2 - $yv**2;
my $nsteps = 15;
my ($zmin, $zmax) = $z->minmax;
my $clevel = ((sequence($nsteps)*(($zmax - $zmin)/($nsteps-1))) + $zmin);
my $fill_width = 2;
my $cont_color = 0;
my $cont_width = 0;
my $xmap = ((sequence($nx)*(2/($nx-1))) + -1); # map X coords linearly to -1 to 1
my $ymap = ((sequence($ny)*(2/($ny-1))) + -1);
my $grid = plAllocGrid ($xmap, $ymap);
plshades($z, -1, 1, -1, 1,
$clevel, $fill_width,
$cont_color, $cont_width, 1,
0, \&pltr1, $grid);
plend1();

ok (-s "test12.$dev" > 0, "3D color plot, low level interface");
`
*** Error in `/usr/bin/perl': free(): invalid pointer: 0x0000000000ce7808 ***
======= Backtrace: =========
/usr/lib/libc.so.6(+0x7ab06)[0x7fe731334b06]
/usr/lib/libc.so.6(+0x7b883)[0x7fe731335883]
/home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/Graphics/PLplot/PLplot.so(+0xa9e40)[0x7fe72db10e40]
/usr/lib/perl5/core_perl/CORE/libperl.so(Perl_pp_entersub+0x7d6)[0x7fe731774766]
/usr/lib/perl5/core_perl/CORE/libperl.so(Perl_runops_debug+0x48)[0x7fe73173b978]
/usr/lib/perl5/core_perl/CORE/libperl.so(perl_run+0x727)[0x7fe7316c5847]
/usr/bin/perl(main+0x150)[0x400f20]
/usr/lib/libc.so.6(__libc_start_main+0xf5)[0x7fe7312dba15]
/usr/bin/perl[0x400f59]
======= Memory map: ========
00400000-00402000 r-xp 00000000 08:02 23368264 /usr/bin/perl
00601000-00602000 r--p 00001000 08:02 23368264 /usr/bin/perl
00602000-00603000 rw-p 00002000 08:02 23368264 /usr/bin/perl
00c87000-01ac9000 rw-p 00000000 00:00 0 [heap]
7fe72bb77000-7fe72bb8c000 r-xp 00000000 08:02 23331356 /usr/lib/libgcc_s.so.1
7fe72bb8c000-7fe72bd8b000 ---p 00015000 08:02 23331356 /usr/lib/libgcc_s.so.1
7fe72bd8b000-7fe72bd8c000 rw-p 00014000 08:02 23331356 /usr/lib/libgcc_s.so.1
7fe72bdb0000-7fe72bdb2000 rw-p 00000000 00:00 0
7fe72bdb2000-7fe72bdb6000 r-xp 00000000 08:02 24781494 /usr/lib/plplot5.9.9/driversd/svg.so
7fe72bdb6000-7fe72bfb6000 ---p 00004000 08:02 24781494 /usr/lib/plplot5.9.9/driversd/svg.so
7fe72bfb6000-7fe72bfb7000 r--p 00004000 08:02 24781494 /usr/lib/plplot5.9.9/driversd/svg.so
7fe72bfb7000-7fe72bfb8000 rw-p 00005000 08:02 24781494 /usr/lib/plplot5.9.9/driversd/svg.so
7fe72bfb8000-7fe72bfbf000 r-xp 00000000 08:02 23465108 /usr/lib/perl5/core_perl/auto/File/Glob/Glob.so
7fe72bfbf000-7fe72c1be000 ---p 00007000 08:02 23465108 /usr/lib/perl5/core_perl/auto/File/Glob/Glob.so
7fe72c1be000-7fe72c1bf000 r--p 00006000 08:02 23465108 /usr/lib/perl5/core_perl/auto/File/Glob/Glob.so
7fe72c1bf000-7fe72c1c0000 rw-p 00007000 08:02 23465108 /usr/lib/perl5/core_perl/auto/File/Glob/Glob.so
7fe72c1c0000-7fe72c1c5000 r-xp 00000000 08:02 23349445 /usr/lib/libXdmcp.so.6.0.0
7fe72c1c5000-7fe72c3c4000 ---p 00005000 08:02 23349445 /usr/lib/libXdmcp.so.6.0.0
7fe72c3c4000-7fe72c3c5000 r--p 00004000 08:02 23349445 /usr/lib/libXdmcp.so.6.0.0
7fe72c3c5000-7fe72c3c6000 rw-p 00005000 08:02 23349445 /usr/lib/libXdmcp.so.6.0.0
7fe72c3c6000-7fe72c3c8000 r-xp 00000000 08:02 23349458 /usr/lib/libXau.so.6.0.0
7fe72c3c8000-7fe72c5c8000 ---p 00002000 08:02 23349458 /usr/lib/libXau.so.6.0.0
7fe72c5c8000-7fe72c5c9000 r--p 00002000 08:02 23349458 /usr/lib/libXau.so.6.0.0
7fe72c5c9000-7fe72c5ca000 rw-p 00003000 08:02 23349458 /usr/lib/libXau.so.6.0.0
7fe72c5ca000-7fe72c5d9000 r-xp 00000000 08:02 23340122 /usr/lib/libbz2.so.1.0.6
7fe72c5d9000-7fe72c7d8000 ---p 0000f000 08:02 23340122 /usr/lib/libbz2.so.1.0.6
7fe72c7d8000-7fe72c7da000 rw-p 0000e000 08:02 23340122 /usr/lib/libbz2.so.1.0.6
7fe72c7da000-7fe72c7ef000 r-xp 00000000 08:02 23337119 /usr/lib/libz.so.1.2.7
7fe72c7ef000-7fe72c9ee000 ---p 00015000 08:02 23337119 /usr/lib/libz.so.1.2.7
7fe72c9ee000-7fe72c9ef000 r--p 00014000 08:02 23337119 /usr/lib/libz.so.1.2.7
7fe72c9ef000-7fe72c9f0000 rw-p 00015000 08:02 23337119 /usr/lib/libz.so.1.2.7
7fe72c9f0000-7fe72ca0e000 r-xp 00000000 08:02 23367627 /usr/lib/libxcb.so.1.1.0
7fe72ca0e000-7fe72cc0d000 ---p 0001e000 08:02 23367627 /usr/lib/libxcb.so.1.1.0
7fe72cc0d000-7fe72cc0e000 r--p 0001d000 08:02 23367627 /usr/lib/libxcb.so.1.1.0
7fe72cc0e000-7fe72cc0f000 rw-p 0001e000 08:02 23367627 /usr/lib/libxcb.so.1.1.0
7fe72cc0f000-7fe72cca8000 r-xp 00000000 08:02 23336863 /usr/lib/libfreetype.so.6.10.0
7fe72cca8000-7fe72cea7000 ---p 00099000 08:02 23336863 /usr/lib/libfreetype.so.6.10.0
7fe72cea7000-7fe72cead000 r--p 00098000 08:02 23336863 /usr/lib/libfreetype.so.6.10.0
7fe72cead000-7fe72ceae000 rw-p 0009e000 08:02 23336863 /usr/lib/libfreetype.so.6.10.0
7fe72ceae000-7fe72ceb3000 r-xp 00000000 08:02 23366644 /usr/lib/libqsastime.so.0.0.1
7fe72ceb3000-7fe72d0b2000 ---p 00005000 08:02 23366644 /usr/lib/libqsastime.so.0.0.1
7fe72d0b2000-7fe72d0b3000 r--p 00004000 08:02 23366644 /usr/lib/libqsastime.so.0.0.1
7fe72d0b3000-7fe72d0b4000 rw-p 00005000 08:02 23366644 /usr/lib/libqsastime.so.0.0.1
7fe72d0b4000-7fe72d0ba000 r-xp 00000000 08:02 23366642 /usr/lib/libcsirocsa.so.0.0.1
7fe72d0ba000-7fe72d2ba000 ---p 00006000 08:02 23366642 /usr/lib/libcsirocsa.so.0.0.1
7fe72d2ba000-7fe72d2bb000 r--p 00006000 08:02 23366642 /usr/lib/libcsirocsa.so.0.0.1
7fe72d2bb000-7fe72d2bc000 rw-p 00007000 08:02 23366642 /usr/lib/libcsirocsa.so.0.0.1
7fe72d2bc000-7fe72d2c5000 r-xp 00000000 08:02 23348671 /usr/lib/libltdl.so.7.3.0
7fe72d2c5000-7fe72d4c4000 ---p 00009000 08:02 23348671 /usr/lib/libltdl.so.7.3.0
7fe72d4c4000-7fe72d4c5000 r--p 00008000 08:02 23348671 /usr/lib/libltdl.so.7.3.0
7fe72d4c5000-7fe72d4c6000 rw-p 00009000 08:02 23348671 /usr/lib/libltdl.so.7.3.0
7fe72d4c6000-7fe72d5f9000 r-xp 00000000 08:02 23350399 /usr/lib/libX11.so.6.3.0
7fe72d5f9000-7fe72d7f9000 ---p 00133000 08:02 23350399 /usr/lib/libX11.so.6.3.0
7fe72d7f9000-7fe72d7fa000 r--p 00133000 08:02 23350399 /usr/lib/libX11.so.6.3.0
7fe72d7fa000-7fe72d7ff000 rw-p 00134000 08:02 23350399 /usr/lib/libX11.so.6.3.0
7fe72d7ff000-7fe72d85a000 r-xp 00000000 08:02 23366670 /usr/lib/libplplotd.so.11.0.0
7fe72d85a000-7fe72da59000 ---p 0005b000 08:02 23366670 /usr/lib/libplplotd.so.11.0.0
7fe72da59000-7fe72da5a000 r--p 0005a000 08:02 23366670 /usr/lib/libplplotd.so.11.0.0
7fe72da5a000-7fe72da5c000 rw-p 0005b000 08:02 23366670 /usr/lib/libplplotd.so.11.0.0
7fe72da5c000-7fe72da67000 rw-p 00000000 00:00 0
7fe72da67000-7fe72dba0000 r-xp 00000000 08:11 4203229 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/Graphics/PLplot/PLplot.so
7fe72dba0000-7fe72dda0000 ---p 00139000 08:11 4203229 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/Graphics/PLplot/PLplot.so
7fe72dda0000-7fe72dda9000 rw-p 00139000 08:11 4203229 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/Graphics/PLplot/PLplot.so
7fe72dda9000-7fe72ddaa000 rw-p 00000000 00:00 0
7fe72ddaa000-7fe72ddb9000 r-xp 00000000 08:11 4203265 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/IO/Pnm/Pnm.so
7fe72ddb9000-7fe72dfb8000 ---p 0000f000 08:11 4203265 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/IO/Pnm/Pnm.so
7fe72dfb8000-7fe72dfb9000 r--p 0000e000 08:11 4203265 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/IO/Pnm/Pnm.so
7fe72dfb9000-7fe72dfba000 rw-p 0000f000 08:11 4203265 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/IO/Pnm/Pnm.so
7fe72dfba000-7fe72dfc0000 r-xp 00000000 08:11 4719447 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/ImageRGB/ImageRGB.so
7fe72dfc0000-7fe72e1bf000 ---p 00006000 08:11 4719447 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/ImageRGB/ImageRGB.so
7fe72e1bf000-7fe72e1c0000 r--p 00005000 08:11 4719447 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/ImageRGB/ImageRGB.so
7fe72e1c0000-7fe72e1c1000 rw-p 00006000 08:11 4719447 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/ImageRGB/ImageRGB.so
7fe72e1c1000-7fe72e1cc000 r-xp 00000000 08:11 4203252 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/IO/Misc/Misc.so
7fe72e1cc000-7fe72e3cb000 ---p 0000b000 08:11 4203252 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/IO/Misc/Misc.so
7fe72e3cb000-7fe72e3cc000 r--p 0000a000 08:11 4203252 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/IO/Misc/Misc.so
7fe72e3cc000-7fe72e3cd000 rw-p 0000b000 08:11 4203252 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/IO/Misc/Misc.so
7fe72e3cd000-7fe72e3d0000 r-xp 00000000 08:02 23465121 /usr/lib/perl5/core_perl/auto/attributes/attributes.so
7fe72e3d0000-7fe72e5cf000 ---p 00003000 08:02 23465121 /usr/lib/perl5/core_perl/auto/attributes/attributes.so
7fe72e5cf000-7fe72e5d0000 r--p 00002000 08:02 23465121 /usr/lib/perl5/core_perl/auto/attributes/attributes.so
7fe72e5d0000-7fe72e5d1000 rw-p 00003000 08:02 23465121 /usr/lib/perl5/core_perl/auto/attributes/attributes.so
7fe72e5d1000-7fe72e5f8000 r-xp 00000000 08:11 3938127 /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/blib/arch/auto/PDL/Bad/Bad.soFailed 19/37 subtests

Test Summary Report
-------------------
t/plplot.t (Wstat: 134 Tests: 18 Failed: 0)
Non-zero wait status: 134
Parse errors: Bad plan. You planned 37 tests but ran 18.
Files=1, Tests=18, 2 wallclock secs ( 0.04 usr 0.00 sys + 0.44 cusr 0.04 csys = 0.52 CPU)

I don't think the following has any thing to do with this error, but I thought I would include it anyway:

from the build log:

/usr/bin/perl /usr/share/perl5/core_perl/ExtUtils/xsubpp -typemap /usr/share/perl5/core_perl/ExtUtils/typemap -typemap /home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/Basic/Core/typemap.pdl PLplot.xs > PLplot.xsc && mv PLplot.xsc PLplot.c
cp PLplot.pm ../../blib/lib/PDL/Graphics/PLplot.pm

Warning: Found a 'CODE' section which seems to be using 'RETVAL' but no 'OUTPUT' section. in PLplot.xs, line 58311

cc -c -I/home/myra/workspace/pdl/perl-pdl-2.4.11/src/PDL-2.4.11/Basic/Core -I/usr/include/plplot -I/usr/include -D_REENTRANT -D_GNU_SOURCE -DDEBUGGING -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -march=x86-64 -m64 -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -g -DVERSION=\"0.61\" -DXS_VERSION=\"0.61\" -fPIC "-I/usr/lib/perl5/core_perl/CORE" PLplot.c
PLplot.xs: In function ‘mapform_callback’:
PLplot.xs:26783:3: warning: passing argument 2 of ‘PDL->add_deletedata_magic’ from incompatible pointer type [enabled by default]
PLplot.xs:26783:3: note: expected ‘void (*)(struct pdl *, size_t)’ but argument is of type ‘void (*)(struct pdl *, int)’
PLplot.xs:26792:3: warning: passing argument 2 of ‘PDL->add_deletedata_magic’ from incompatible pointer type [enabled by default]
PLplot.xs:26792:3: note: expected ‘void (*)(struct pdl *, size_t)’ but argument is of type ‘void (*)(struct pdl *, int)’

If I disable this test, the rest of plplot.t succeeds. I haven't done any other debugging.

Myra

Discussion

  • Myra
    Myra
    2013-01-04

    Backtrace only

     
  • Chris Marshall
    Chris Marshall
    2013-01-04

    Thanks for the report. I'm not able to run the PDL bindings on my platform (cygwin) but it may be version skew between the PLplot library and the PDL bindings of the same.

     
  • Myra
    Myra
    2013-01-07

    Chris:

    This may not be worth worrying about. I re-installed perl built against the system malloc instead of perl's internal malloc and the test doesn't fail. I only noticed this trying to track down the opengl failure. I'm sure most perl installs will be built against the system malloc.

    Myra

     
  • Chris Marshall
    Chris Marshall
    2013-07-06

    • status: open --> closed-out-of-date
    • assigned_to: Chris Marshall
    • Group: --> critical
     
  • Chris Marshall
    Chris Marshall
    2013-07-06

    Closing this ticket since it seems to be sort of not a problem and based on PDL-2.4.11 which has been superseded by PDL-2.006. There is some promising work in the plplot development aimed at improving the buildability of PLPlot on all platforms. We'll take another look at this then. Thanks for reporting the problem.